MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031467Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-03-26 22:532020-03-28 13:46
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031467: Foundation Classes, OSD_MemInfo - disable reading /proc/%d/status with Emscripten
DescriptionEmscripten doesn't yet implement /proc/%d/status, however it implements portions of /proc file system, so that code within OSD_MemInfo has been left in expectation that it can be implemented by Emscripten in future.

Unfortunately, Emscripten has more severe issues with /proc - reading may cause unexpected abort() on opening file due to unhandled/unexpected exception on JavaScript layer implementing FS. For some reason, OSD_MemInfo has no problem with a sample project, but crashes in larger project (having similar compiler flags from a first glance).
https://github.com/emscripten-core/emscripten/issues/10774 [^]

As there is no use reading /proc/%d/status within current implementation, it is proposed disabling this code within OSD_MemInfo in case of Emscripten.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0091287)
git (administrator)
2020-03-26 23:58

Branch CR31467 has been created by kgv.

SHA-1: ee845ae78a5664c8e0abf8d8e1c4875b114f3e1b


Detailed log of new commits:

Author: kgv
Date: Thu Mar 26 23:59:02 2020 +0300

    0031467: Foundation Classes, OSD_MemInfo - disable reading /proc/%d/status with Emscripten
    
    OSD_MemInfo::Update() no more uses procfs with Emscripten.
    OSD_MemInfo::MemVirtual counter is now set to WebAssembly module heap length.
(0091288)
git (administrator)
2020-03-27 00:05

Branch CR31467 has been updated forcibly by kgv.

SHA-1: 66708cf5306df23fc72d619505052c3cefb1f709
(0091289)
git (administrator)
2020-03-27 00:17

Branch CR31467 has been updated forcibly by kgv.

SHA-1: 3e15de4f68acedd2ee273dbec83b9c5939ef8235
(0091290)
kgv (developer)
2020-03-27 09:29
edited on: 2020-03-27 09:30

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com/view/CR31467-master-KGV/ [^]

(0091294)
osa (developer)
2020-03-27 10:00

The patch was reviewed without remarks
(0091313)
bugmaster (administrator)
2020-03-28 13:33

Combination -
OCCT branch : IR-2020-03-27
master SHA - 420f5c868231b05a936c35a8f6a7aaf311cbad64
b063b8738ddd5eb1c5bbbdac861e8d2f7864961f
Products branch : IR-2020-03-27 SHA - 61a33c5381d589ae31e1bab6ea750b3fbf4915f6
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16866.29000000024 / 16846.320000000138 [+0.12%]
Products
Total CPU difference: 11324.27000000008 / 11306.210000000074 [+0.16%]
Windows-64-VC14:
OCCT
Total CPU difference: 18291.046875 / 18268.796875 [+0.12%]
Products
Total CPU difference: 13224.34375 / 13110.609375 [+0.87%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091316)
git (administrator)
2020-03-28 13:46

Branch CR31467 has been deleted by inv.

SHA-1: 3e15de4f68acedd2ee273dbec83b9c5939ef8235

- Related Changesets
occt: master 420f5c86
Timestamp: 2020-03-26 20:59:02
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031467: Foundation Classes, OSD_MemInfo - disable reading /proc/%d/status with Emscripten

OSD_MemInfo::Update() no more uses procfs with Emscripten.
OSD_MemInfo::MemVirtual counter is now set to WebAssembly module heap length.
mod - src/OSD/OSD_MemInfo.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-03-26 22:53 kgv New Issue
2020-03-26 22:53 kgv Assigned To => abv
2020-03-26 22:54 kgv Relationship added child of 0031070
2020-03-26 22:56 kgv Description Updated View Revisions
2020-03-26 23:58 git Note Added: 0091287
2020-03-27 00:05 git Note Added: 0091288
2020-03-27 00:17 git Note Added: 0091289
2020-03-27 09:29 kgv Note Added: 0091290
2020-03-27 09:29 kgv Assigned To abv => osa
2020-03-27 09:29 kgv Status new => resolved
2020-03-27 09:30 kgv Note Edited: 0091290 View Revisions
2020-03-27 10:00 osa Note Added: 0091294
2020-03-27 10:00 osa Assigned To osa => bugmaster
2020-03-27 10:00 osa Status resolved => reviewed
2020-03-28 13:33 bugmaster Note Added: 0091313
2020-03-28 13:33 bugmaster Status reviewed => tested
2020-03-28 13:34 bugmaster Test case number => Not required
2020-03-28 13:36 bugmaster Changeset attached => occt master 420f5c86
2020-03-28 13:36 bugmaster Status tested => verified
2020-03-28 13:36 bugmaster Resolution open => fixed
2020-03-28 13:46 git Note Added: 0091316


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker